<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#" xmlns:pars="pars" xmlns:tsi="http://toldskat.dk/xml/schemas/raplet/2005/01/01/" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:MR="http://toldskat.dk/xml/schemas/metadatarepository/" xmlns:alsb="http://www.bea.com/wli/sb/" xmlns:fase1="http://skat.dk/begrebsmodel/2006/09/07/" xmlns:tsk="http://skat.dk/begrebsmodel/xml/schemas/kontekst/2007/05/31/">
	<xsl:namespace-alias stylesheet-prefix="tsi" result-prefix="tsi"/>
	
	<xsl:output method="xml" indent="yes" omit-xml-declaration="no" encoding="UTF-8" media-type="text"/>

	<xsl:template match="fase1:IndsenderOplysningerInddata">
		<xsl:call-template name="echo"/>
	</xsl:template>

	<xsl:template match="text()">
		<xsl:value-of select="."/>	
	</xsl:template>

	<xsl:template name="echo">
		<xsl:element name="{name()}">
			<xsl:for-each select="@*">
				<xsl:attribute name="{name()}"><xsl:value-of select="."/></xsl:attribute>
			</xsl:for-each>
			<xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	
	<xsl:template match="*">
		<xsl:call-template name="echo"/>
	</xsl:template>

</xsl:stylesheet>
